User

User signup

POST https://api.vendex.app/api/user/signup/

For user signup.

Headers

Name
Type
Description

Api-Client-Token

string

Client token obtained from client authentication method.

Request Body

Name
Type
Description

first_name

string

First name

last_name

string

Last name

email

string

Email

phone_no

string

Phone number (+XXX-XXXXXXXX)

password

string

Password

{
    "status": "success",
    "detail": "Signup success",
}

User login

POST https://api.vendex.app/api/user/login/

Method to obtain user token. This token is used in communication header for all API command.

Headers

Name
Type
Description

Api-Client-Token

string

Client token obtained from client authentication method

Request Body

Name
Type
Description

username

string

Email or phone number. Phone number format is +XXX-XXXXXXXX

password

string

Password

User logout

GET https://api.vendex.app/api/user/logout/

This endpoint allows to logout user from client app(s).

Headers

Name
Type
Description

Api-Client-Token

string

Client token obtained from client authentication method.

Api-User-Token

string

User token obtained from user login method.

Get user details

GET https://api.vendex.app/api/user/

To get user details.

Headers

Name
Type
Description

Api-Client-Token

string

Client token obtained from client authentication method.

Api-User-Token

string

User token obtained from login method.

Validate phone number

POST https://api.vendex.app/api/user/validate_phone_number/

To validate phone number upon sign up.

Headers

Name
Type
Description

Api-Client-Token

string

Client token obtained from client authentication method.

Request Body

Name
Type
Description

phone_no

string

Phone number in format of +XXXXXXXXXXX

pin

string

6 digit VendexApp verification pin received from SMS

Upload profile image

POST https://api.vendex.app/api/user/update_profile_image/

This endpoint allows to update user profile picture.

Headers

Name
Type
Description

Api-Client-Token

string

Client token obtained from client authentication method.

API-User-Token

string

User token obtained from login method.

Request Body

Name
Type
Description

file

object

Image should be uploaded as form data with field name as "file"

Last updated